#pragma once
#include "DeerRender/DataManagment.h"

namespace Deer {
	class EditorDataImporter;

	class MeshData;
	class ShaderData;
	class TextureData;

	template <>
	Scope<MeshData> StorageData::deserialize<EditorDataImporter, MeshData>();

	template <>
	Scope<ShaderData> StorageData::deserialize<EditorDataImporter, ShaderData>();

	template <>
	Scope<TextureData> StorageData::deserialize<EditorDataImporter, TextureData>();
}